summaryrefslogtreecommitdiffstats
path: root/system/dar/dar.SlackBuild
diff options
context:
space:
mode:
author Nishant Limbachia <nishant@mnspace.net>2010-05-11 20:01:56 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:01:56 +0200
commit3686ba8b2c4ae7e439d956e6c07e921081c17eba (patch)
tree4dd6439d803b7a5a93d1c17781ae645d29c77887 /system/dar/dar.SlackBuild
parentc0c52031fb9b0593d7f326a71ef7c235865137e8 (diff)
downloadslackbuilds-3686ba8b2c4ae7e439d956e6c07e921081c17eba.tar.gz
slackbuilds-3686ba8b2c4ae7e439d956e6c07e921081c17eba.tar.xz
system/dar: Added to 12.0 repository
Diffstat (limited to 'system/dar/dar.SlackBuild')
-rw-r--r--system/dar/dar.SlackBuild97
1 files changed, 97 insertions, 0 deletions
diff --git a/system/dar/dar.SlackBuild b/system/dar/dar.SlackBuild
new file mode 100644
index 0000000000..d5e8762dcc
--- /dev/null
+++ b/system/dar/dar.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Slackware Package Build Script for Disk ARchive (DAR)
+# Home Page http://dar.linux.free.fr/
+
+# Copyright (c) 2007, Nishant Limbachia (nishant@mnspace.net)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of script must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by Robby Workman <rworkman@slackbuilds.org> for better
+# consistency with other scripts in our repository
+# No additional license terms added :-)
+
+PRGNAM=dar
+VERSION=2.3.6
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e # Exit on most errors
+
+rm -fr $TMP/$PRGNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root.root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc \
+ --enable-shared \
+ --enable-static \
+ --disable-upx
+
+make
+make DESTDIR=$PKG install-strip
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc
+mv $PKG/usr/share/$PRGNAM $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING INSTALL NEWS README TODO THANKS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+( cd $PKG/usr/doc ; ln -s $PRGNAM-$VERSION $PRGNAM )
+chown -R root:root $PKG/usr/doc
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz